Name: lximage-qt
Version: 1.4.0
Release: %mkrel 1
Source0: http://downloads.lxqt.org/%{name}/%{version}/%{name}-%{version}.tar.xz
Summary: Image viewer and screenshot tool for the LXQt desktop
URL: http://lxqt.org/
License: GPLv2+
Group: Graphical desktop/LXQT
BuildRequires:  cmake
BuildRequires:  %{_lib}lxqt-devel >= 1.4.0
BuildRequires:  libfm-qt-devel >= 1.4.0
BuildRequires:  %{_lib}qt5help-devel
BuildRequires:  %{_lib}qt5printsupport-devel
BuildRequires:  %{_lib}glib2.0-devel
BuildRequires:  %{_lib}exif12-devel
BuildRequires:  %{_lib}xfixes-devel
BuildRequires:	desktop-file-utils
BuildRequires:	libpthread-stubs
BuildRequires: 	lxqt-build-tools



%description
Image viewer and screenshot tool for the LXQT desktop

%package i10n
Summary:	Internationalization files for %{name}
Group: 		Graphical desktop/LXQT
Requires:	%{name}

%description i10n
Internationalization files for %{name}

%prep
%setup -q %{name}-%{version}

%build
%cmake_qt5 -DBUILD_DOCUMENTATION=ON 
%make




%install
rm -rf %buildroot
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
 --dir %{buildroot}%{_datadir}/applications/ %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.metainfo.xml
%{_iconsdir}/hicolor/48x48/apps/%{name}.svg


%files i10n
%{_datadir}/%{name}/translations/%{name}_*.qm


%changelog
* Sat Nov 12 2023 daniel - 1.4.0-1pclos2023
- new version

* Sat Apr 15 2023 daniel - 1.3.0-1pclos2023
- new version

* Sat Nov 05 2022 daniel - 1.2.0-1pclos2022
- new version

* Mon Sep 19 2022 tex - 1.1.0-2pclos2022
- rebuild against updates

* Sun Apr 17 2022 daniel - 1.1.0-1pclos2022
- 1.1.0

* Fri Nov 05 2021 daniel - 1.0.0-1pclos2021
- 1.0.0

* Thu Apr 15 2021 daniel <> 0.17.0-1pclos2021
- 0.17.0

* Thu Nov 05 2020 daniel <meisssw01 at gmail.com> 0.16.0-1pclos2020
- 0.16.0

* Sun Jun 14 2020 daniel <meisssw01 at gmail.com> 0.15.0-2pclos2020
- rebuild against updates

* Sun Apr 26 2020 daniel <meisssw01 at gmail.com> 0.15.0-1pclos2020
- 0.15.0

* Sat Mar 02 2019 daniel <meisssw01 at gmail.com> 0.14.1-1pclos2019
- update

* Wed Feb 06 2019 tex - 0.14.0-2pclos2019
- rebuild against updates

* Sun Jan 27 2019 daniel <meisssw01 at gmail.com> 0.14.0-1pclos2019
- update

* Sun Jul 29 2018 daniel <meisssw01 at gmail.com> 0.7.0-1pclos2018
- update

* Mon Oct 23 2017 daniel <meisssw01 at gmail.com> 0.6.0-1pclos2017
- update

* Wed Dec 21 2016 daniel <meisssw01 at gmail.com> 0.5.1-1pclos2017
- update 

* Sun Nov 13 2016 daniel <meisssw01 at gmail.com> 0.5.0-2pclos2016
- add git for translation files and put it in a seperate package

* Mon Sep 26 2016 ghostbunny <ghostbunny at gmx dot de> 0.5.0-1pclos2016
- 0.5.0
- remove patch source is fixed upstream

* Thu Apr 07 2016 ghostbunny <ghostbunny at gmx dot de> 0.4.0-2pclos2016
- replace pcmanfm-qt-devel by libfm-qt-devel
- add patch to fix the package config file name in cmake script
- add missing compiler flag

* Wed Feb 17 2016 celchu <celchu> 0.4.0-1.celchu
- Build attempt for pclunixos from mageia srpm

